GET api/role/{id}/viewings?pageSize={pageSize}&pageNumber={pageNumber}&excludeDrafts={excludeDrafts}&useMinimalMapping={useMinimalMapping}
Get all of the viewings associated to the current property marketing role. Processes this role API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The id of the role to get the offers for. |
integer |
Required |
| pageSize |
Page size to return. Set to null for all |
integer |
None. |
| pageNumber |
Page number to return. Set to null for all |
integer |
Default value is 1 |
| excludeDrafts |
The exclude drafts value supplied with the request. |
boolean |
Default value is True |
| useMinimalMapping |
The use minimal mapping value supplied with the request. |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
The response returned after the operation completes.
PagedCollectionDataContractOfViewingDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount |
The total count value. |
integer |
None. |
| CurrentCount |
The current count value. |
integer |
None. |
| PageSize |
The page size value. |
integer |
None. |
| PageNumber |
The page number value. |
integer |
None. |
| Collection |
The collection of collection. |
Collection of ViewingDataContract |
None. |
Response Formats
application/json
Sample not available.
text/json
Sample not available.